Loading...
Searching...
No Matches
cpu_features.h File Reference
`#include "HalideRuntime.h"`
`#include "runtime_internal.h"`

Go to the source code of this file.

## Classes

struct | Halide::Runtime::Internal::CpuFeatures

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Functions

ALWAYS_INLINE void | Halide::Runtime::Internal::halide_set_known_cpu_feature (CpuFeatures *features, int i)
ALWAYS_INLINE void | Halide::Runtime::Internal::halide_set_available_cpu_feature (CpuFeatures *features, int i)
ALWAYS_INLINE bool | Halide::Runtime::Internal::halide_test_known_cpu_feature (CpuFeatures *features, int i)
ALWAYS_INLINE bool | Halide::Runtime::Internal::halide_test_available_cpu_feature (CpuFeatures *features, int i)
WEAK int | Halide::Runtime::Internal::halide_get_cpu_features (CpuFeatures *features)